package Ensembl.artemis;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class DBPOATie
	extends DBPOA
{
	private DBOperations _delegate;

	private POA _poa;
	public DBPOATie(DBOperations delegate)
	{
		_delegate = delegate;
	}
	public DBPOATie(DBOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public Ensembl.artemis.DB _this()
	{
		return Ensembl.artemis.DBHelper.narrow(_this_object());
	}
	public Ensembl.artemis.DB _this(org.omg.CORBA.ORB orb)
	{
		return Ensembl.artemis.DBHelper.narrow(_this_object(orb));
	}
	public DBOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(DBOperations delegate)
	{
		_delegate = delegate;
	}
	public Ensembl.artemis.FeatureDefinition[] getFeatureDefinitionList()
	{
		return _delegate.getFeatureDefinitionList();
	}

	public java.lang.String[] getallEntryNames()
	{
		return _delegate.getallEntryNames();
	}

	public Ensembl.artemis.Entry getEntry(java.lang.String entryname) throws Ensembl.artemis.NoEntry
	{
		return _delegate.getEntry(entryname);
	}

}
